// ignore_for_file: invalid_annotation_target

import 'package:freezed_annotation/freezed_annotation.dart';

import '../logout_data/logout_error.dart';

part 'logout_response.freezed.dart';
part 'logout_response.g.dart';

@freezed
abstract class LogoutResponse with _$LogoutResponse {
  const factory LogoutResponse({
    required bool? success,
    required String? message,
    required LogoutError? error,
  }) = _LogoutResponse;

  factory LogoutResponse.fromJson(Map<String, Object?> json) =>
      _$LogoutResponseFromJson(json);
}
